Get

  • GET
  • /workspaces
  • /:workspace
  • /sso

Get SSO configuration

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

Response

RESPONSE BODY
typestring enum
The type of the SSO to be set
Allowed enum:
SAML,
OIDC
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
sso_provider_typestring enum
The provider type for SSO configuration
Allowed enum:
OKTA,
ONE_LOGIN,
GOOGLE,
AZURE,
AWS,
CUSTOM
sso_urlstring
The SSO URL / SAML endpoint / Identity provider Single sign-on URL. Set when type is SAML.
issuerstring
Issuer URI, IDP Entity ID, SSO issuer, provider issuer, AD identifier or the base URL of the OpenID Connect (OIDC) server.
certificatestring
The x509 certificate content. Set when type is SAML.
signature_methodstring
Set when type is SAML. Examples: sha1, sha256, sha512
digest_methodstring
Set when type is SAML. Examples: sha1, sha256, sha512
require_sso_for_all_membersboolean
Require SSO authentication.

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/sso" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company/sso", "html_url": "https://app.buddy.works/my-company/-/workspace/sso", "type": "SAML", "sso_provider_type": "CUSTOM", "sso_url": "https://sso.example.com/saml", "issuer": "https://sso.example.com", "certificate": "-----BEGIN CERTIFICATE-----\nMIIC...certificate content...\n-----END CERTIFICATE-----", "signature_method": "sha256", "digest_method": "sha256", "require_sso_for_all_members": true }
STATUS
200 OK